---
nav: Commands
note: |-
  This file is autogenerated from CLI command definitions. Make edits to the
  command definitions in cli/coda.ts and then run "make docs" to regenerate
  this file.
search:
  boost: 0.1
---

# CLI Reference

Reference documentation for the `coda` CLI.

{{#each commands}}
## {{name}}

{{{describe}}}

**Usage:** `coda {{{command}}}`

{{#if options.length}}
**Options:**

{{#each options}}
`--{{name}}`{{#if aliasStr}}, `{{{aliasStr}}}`{{/if}}
:   {{#if description}}{{{description}}}

    {{/if}}**Type:** {{type}}{{#if defaultVal}} | **Default:** `{{{defaultVal}}}`{{/if}}{{#if required}} | **Required**{{/if}}

{{/each}}
{{/if}}
{{^@last}}---{{/@last}}

{{/each}}
